FINDMSB(3G)

NAME
findMSB - find the index of the most significant bit set to 1 in an integer

DECLARATION

genIType findMSB(genIType value);

genIType findMSB(genUType value);

PARAMETERS

value
    Specifies the value whose bits to scan.

DESCRIPTION

findMSB returns the bit number of the most significant bit that is set to 1 in the binary representation of value. For positive integers, the result will be the bit number of the most significant bit that is set to 1. For negative integers, the result will be the bit number of the most significant bit set to 0. For a value of zero or negative 1, -1 will be returned.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
findMSB | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

findLSB()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group